#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    ll n,k,x;
    cin >> n >> k >> x;
    if(k == 3){
        for(int i = 1; i <= n-2; i++){
            cout << "1 ";
        }
        cout << x+1 << " " << 2*x+1 << endl;
        return 0;
    }
}